%define with_ksmarttray 0

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	Next generation package handling tool
Name: 		smart
Version: 	1.1
Release: 	1
Source: 	smart-%{version}.tar.bz2
Source2: 	distro.py
Source4:	ccux-repo.channel
Source6: 	smart.desktop
Source7:	smart-ksmarttray.desktop
Source12: 	smart.console
Source13: 	smart.pam
Source50:	smart-install.desktop
Source51:	smart-rpm-install.desktop
Source90:	smart-newer.py
Patch2:         %{name}-rpm-check-signatures.patch
Patch3:         %{name}-ksmarttray-runsmart.patch
Patch4:         %{name}-ksmarttray.patch
Patch6:         %{name}-show-changelog.patch
Patch8:         %{name}-interactive-newer.patch
Patch9:         %{name}-no-strict-aliasing.patch
Patch10:        smart-0.52-termios-0width.patch
Patch100:	smart-fetcher.patch
Group: 		System/Configuration/Packaging
License: 	GPL
Requires: 	python pycurl python-elementtree PyXML rpm-python
BuildRequires: 	python-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
#Dependencies for ksmarttray:
BuildRequires: 	kdelibs3-devel
BuildRequires: 	qt-devel
BuildRequires: 	make
BuildRequires: 	popt
BuildRequires: 	rpm-devel >= 4.4.2.2
BuildRequires: 	automake
BuildRequires: 	autoconf

%define pythonver 2.5

%description
Smart Package Manager is a next generation package handling tool.

%if %{with_ksmarttray}
%package -n	ksmarttray
Summary: 	KDE System Tray for the Smart Package Manager
Group: 		System/Configuration/Packaging
Requires:	smart = %{version}-%{release}

%description -n ksmarttray
KDE System Tray for the Smart Package Manager
%endif

%package	addons
Summary:	Additional Bindings and Tools for the Smart Package Manager
Group:		System/Configuration/Packaging
Requires:	%{name} = %{version}-%{release}
Requires:	kdebase

%description	addons
Additional bindings and tools for the Smart package manager.

Currently this package only contains KDE bindings for .channel files.

%package	gui
Summary:	Contains the graphical frontend to smart
Group:		System/Configuration/Packaging
Requires:	%{name} = %{version}-%{release}
Requires:	usermode-gtk PyGTK PyCairo PyGObject

%description	gui
This package contains the GTK graphical frontend for smart. It allows you to install and update packages in a nice graphical way.

%prep
%setup -q
%patch2
%patch3
%patch4
%patch6
%patch8
%patch9
%patch10 

%patch100

%build
#mkdir -p ./locale/de/LC_MESSAGES
#cp -f %{SOURCE10} ./locale/de/LC_MESSAGES
#cp -f %{SOURCE11} ./locale/de/LC_MESSAGES
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
python setup.py build

%if %{with_ksmarttray}
#ksmarttray
pushd contrib/ksmarttray
make -f admin/Makefile.common
./configure --prefix=%_prefix --disable-final
make
popd
%endif

#smart-update
pushd contrib/smart-update
make
popd

%install
python ./setup.py install --prefix=%{_prefix} --root="$RPM_BUILD_ROOT"
%__install "%{SOURCE90}" "%{buildroot}%_libdir/python%{pythonver}/site-packages/smart/commands/newer.py"

# smart-update
install -p -m 0755 contrib/smart-update/smart-update %{buildroot}%{_bindir}

%if %{with_ksmarttray}
pushd contrib/ksmarttray
make install DESTDIR=%{buildroot}
popd
%endif

%{__mkdir_p} $RPM_BUILD_ROOT%{_localstatedir}/lib/smart \
    $RPM_BUILD_ROOT%{_prefix}/lib/smart \
    $RPM_BUILD_ROOT%{_prefix}/lib/smart/plugins \
    $RPM_BUILD_ROOT%{_sysconfdir}/smart/channels

%{__install} -m 0644 %{SOURCE2} $RPM_BUILD_ROOT%{_prefix}/lib/smart/distro.py

%__install -D -m 0755 contrib/servicemenus/kde_add_smart_channel.sh \
	"%{buildroot}%_prefix/bin/kde_add_smart_channel.sh"
%__install -D -m 0644 contrib/servicemenus/add_smart_channel.desktop \
	"%{buildroot}%_prefix/share/apps/konqueror/servicemenus/add_smart_channel.desktop"
%__install -D -m 0644 "%{SOURCE50}" \
	"%{buildroot}%_prefix/share/apps/konqueror/servicemenus/smart-install.desktop"
%__install -D -m 0644 "%{SOURCE51}" \
	"%{buildroot}%_prefix/share/applications/kde/smart-rpm-install.desktop"
    
%{__install} -m 0644 -D %{SOURCE6} $RPM_BUILD_ROOT/usr/share/applications/%{name}.desktop
%if %{with_ksmarttray}
%{__install} -m 0644 -D %{SOURCE7} $RPM_BUILD_ROOT/usr/share/applications/%{name}-ksmarttray.desktop
%elsif
rm -f $RPM_BUILD_ROOT/usr/share/applications/%{name}-ksmarttray.desktop
%endif
%{__install} -m 0644 -D smart/interfaces/images/smart.png $RPM_BUILD_ROOT/usr/share/pixmaps/smart.png

install -m 644 %{SOURCE4} %{buildroot}/etc/smart/channels

# usermode support
ln -sf consolehelper %{buildroot}%{_bindir}/smart-root

mkdir -p %{buildroot}/etc/security/console.apps
mkdir -p %{buildroot}/etc/pam.d
install -p -m 644 %{SOURCE12} %{buildroot}/etc/security/console.apps/smart-root
install -p -m 644 %{SOURCE13} %{buildroot}/etc/pam.d/smart-root


%find_lang %name

%clean
rm -rf %{buildroot}

%files -f smart.lang
%defattr(-,root,root)
%doc HACKING README LICENSE TODO IDEAS
%doc doc/*
%{_mandir}/man8/*
%dir %{_localstatedir}/lib/smart
%dir %{_prefix}/lib/smart
%dir %{_prefix}/lib/smart/plugins
%dir %{_sysconfdir}/smart
%{_bindir}/%{name}*
%{_bindir}/%{name}-update
%{_prefix}/lib/smart/distro.py
%_libdir/python%{pythonver}/site-packages/smart
%exclude %_libdir/python%{pythonver}/site-packages/smart/interfaces/gtk
%_libdir/python%{pythonver}/site-packages/smart-%{version}-py2.5.egg-info

%_sysconfdir/pam.d/smart-root
%_sysconfdir/security/console.apps/smart-root
%config /etc/smart/channels/ccux-repo.channel

%if %{with_ksmarttray}
%files -n ksmarttray
%defattr(-,root,root)
%{_datadir}/applications/smart-ksmarttray.desktop
%_bindir/ksmarttray
%{_datadir}/apps/ksmarttray/eventsrc
%{_datadir}/icons/hicolor/48x48/apps/ksmarttray.png
%endif

%files addons
%defattr(-,root,root)
%attr(0755,root,root) %_prefix/bin/kde_add_smart_channel.sh
%attr(0644,root,root) %_prefix/share/apps/konqueror/servicemenus/add_smart_channel.desktop
%attr(0644,root,root) %_prefix/share/apps/konqueror/servicemenus/smart-install.desktop
%attr(0644,root,root) %_prefix/share/applications/kde/smart-rpm-install.desktop

%files gui
%defattr(-,root,root)
%_applications/smart.desktop
%_pixmaps/smart.png
%_libdir/python%{pythonver}/site-packages/smart/interfaces/gtk

%changelog
* Wed Sep 17 2008 Christian Metzen <metzench@ccux-linux.de> 1.1-1
- Version update, temp disable ksmarttray
* Tue Jul 19 2008 Christian Metzen <metzench@ccux-linux.de> 1.0-2
- readded fetcher patch
* Tue Jul 19 2008 Christian Metzen <metzench@ccux-linux.de> 1.0-1
- Version update
* Mon May 19 2008 Christian Metzen <metzench@ccux-linux.de> 0.52-4
- rebuild against pam 1.0.1, needed to get gui working again
- temp disabled ksmarttray
* Tue Mar 25 2008 Christian Wasem <wasem@ccux-linux.de> 0.52-3
- moved .desktop files to gui package
* Sun Nov 11 2007 Simon Schmeisser <wrt@ccux-linux.de> 0.52-2
- seperated gui from the rest, so that smart doesn't have a dependecy on gtk
* Wed Oct 31 2007 Christian Metzen <metzench@ccux-linux.de> 0.52-1
- Version update
* Tue Sep 04 2007 Christian Metzen <metzench@ccux-linux.de> 0.51-2
- added smart fetcher patch to increase download speed
* Tue Sep 04 2007 Christian Metzen <metzench@ccux-linux.de> 0.51-1
- Version update
* Sat Mar 24 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.50-2
- Added usermode-gtk as Require, to allow normal users to use smart
* Thu Jan 18 2007 Christian Metzen <metzench@ccux-linux.de> 0.50-1
- Version update
* Tue Nov 14 2006 Christian Metzen <metzench@ccux-linux.de> 0.49.1-1
- Version update
* Sat Sep 23 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.42-7
- refined requires
* Wed Sep 20 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.42-6
- rebuilt against python 2.5
- svn revision 742
* Tue Sep 05 2006 Christian Metzen <metzench@ccux-linux.de> 0.42-5
- set rpm-force to false, to make smart respect file conflicts
* Sun Aug 27 2006 Christian Metzen <metzench@ccux-linux.de> 0.42-4
- ksmarttray fix
* Wed Aug 16 2006 Christian Metzen <metzench@ccux-linux.de> 0.42-3
- Removed rpm-db config, now in distro.py
* Wed Aug 16 2006 Christian Metzen <metzench@ccux-linux.de> 0.42-2
- Added new patchset, made rpm-sys unremovable.
* Mon Jun 26 2006 Christian Metzen <metzench@ccux-linux.de> 0.42-1
- Version update
* Fri Jun 02 2006 Christian Metzen <metzench@ccux-linux.de> 0.41-8
- some more patching, all latest patches from mailing list
* Fri Jun 02 2006 Christian Metzen <metzench@ccux-linux.de> 0.41-7
- Added patch2, provides mirror tag for channel config
* Fri Jun 02 2006 Christian Metzen <metzench@ccux-linux.de> 0.41-6
- Added patch1, fixes Bug #0000141
* Tue Apr 18 2006 Christian Metzen <metzench@ccux-linux.de> 0.41-5
- update for new repo location
* Thu Feb 23 2006 Christian Metzen <metzench@ccux-linux.de> 0.41-4
- added query patch
* Mon Feb 20 2006 Christian Metzen <metzench@ccux-linux.de> 0.41-3
- Added pycurl require
* Wed Feb 15 2006 Christian Metzen <metzench@ccux-linux.de> 0.41-2
- rebuilt
* Fri Dec 23 2005 Christian Metzen <metzench@ccux-linux.de> 0.41-1
- Version update
* Mon Oct 10 2005 Christian Metzen <metzench@ccux-linux.de> 0.40-2
- Translation update
* Sat Oct 08 2005 Christian Metzen <metzench@ccux-linux.de> 0.40-1
- Version update, translation update
* Sat Sep 24 2005 Christian Metzen <metzench@ccux-linux.de> 0.39-4
- German translation update
* Fri Sep 23 2005 Christian Metzen <metzench@ccux-linux.de> 0.39-3
- Added German Translation
* Tue Sep 13 2005 Christian Metzen <metzench@ccux-linux.de> 0.39-2
- Fixed minor Bug
* Tue Sep 13 2005 Christian Metzen <metzench@ccux-linux.de> 0.39-1
- Version update, moved repo config to extra files
* Thu Sep 09 2005 Christian Metzen <metzench@ccux-linux.de> 0.38-1
- Version update
* Wed Aug 24 2005 Christian Metzen <metzench@ccux-linux.de> 0.37-3
- Cleaned out distro.py, removed smart-update extra package, changed descriptions, added small patch
* Thu Aug 18 2005 Christian Metzen <metzench@ccux-linux.de> 0.37-2
- Temp. removed multiple kernel install possibility
* Mon Aug 15 2005 Christian Metzen <metzench@ccux-linux.de> 0.37-1
- Version update, modified distro.py
* Wed Jul 20 2005 Christian Metzen <metzench@ccux-linux.de> 0.36-2
- Modified distro.py
* Wed Jul 20 2005 Christian Metzen <metzench@ccux-linux.de> 0.36-1
- Initial Release
